"use strict";
var SymbolicExecution = require('./symbolic-execution/symbolic-execution');
var Leena = (function () {
    function Leena(options) {
        this.options = {};
        this.options.hostname = options.hostname;
        this.options.port = options.port;
    }
    Leena.prototype.inspect = function (functionName, parameters, cb) {
        var symExec;
        symExec = new SymbolicExecution(functionName, this.options);
        symExec.inspectFunction(parameters, function (res) {
            cb(res);
        });
    };
    return Leena;
}());
module.exports = Leena;
